Subject: bug#69983: Use category for display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2024 10:19:06 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Apr 2024 09:24:10 +0300
> 
> >> Adding dozens of new variables that replace display-buffer-alist
> >> makes no sense.
> >
> > So we disagree.  I stand by my opinion, and will object to making
> > display-buffer-alist the way of customizing display-warning.
> 
> This is not about customizing display-warning.  This is about
> customizing the display of the warning buffer.  When other
> functions such as 'lwarn' and 'warn' display the warning buffer
> the only way to customize the display of the warning buffer
> is display-buffer-alist.

I think the proper solution for that is to introduce a new variable
that would customize what display-warning does.  Doing it with
display-buffer-alist is IMO wrong, for the reasons I explained
up-thread.  I realize that you disagree, but I stand by my opinion.